Subject: Re: "git commit -a" Doesn't Add New Files. Why?

From: Jon Forrest <[email-masked]>
Date: Wed, 28 May 2025 16:06:19 -0700

On 5/28/25 3:24 PM, Junio C Hamano wrote:

> But `git commit -a` would not change, even if it won't add cruft
> with well curated .gitignore files.  That will be a terrible
> backward incompatible change for those who expect it only deals with
> the files it knows about (including the one that is not yet tracked
> but its presence is known via "git add -N").

Just to make it clear - I was only discussing adding a '-A' (capital
A) option to git commit. Its current behavior with '-a' (small a)
wouldn't change.

Jon